CFLAGS = -c  -Wall -O6 -march=pentium4 -ffast-math -funroll-loops -fomit-frame-pointer -mfpmath=sse -mdll -DXV_WIN32  -I../../include \
 -I../../include/xvin  -I../../include/plug-ins -I../../../../Ifc56/inc-mingw -I. \
-I"c:\Program Files\GnuWin32\include"

all : ../../bin/serialw32.dll ../../bin/pm.dll ../../bin/spectro.dll ../../bin/RunSpectrum.dll

clean :
	rm ../../bin/serialw32.dll *.o ../../lib/libserialw32.a  

../../bin/serialw32.dll : serialw32.o 
	gcc  -o ../../bin/serialw32.dll -mwindows -shared -L../../lib serialw32.o  \
-lalleg -lxvin -Wl,--export-all-symbols  -Wl,--enable-auto-import \
-Wl,--out-implib=../../lib/libserialw32.a 

../../bin/pm.dll : serialw32.o pm.o
	gcc  -o ../../bin/pm.dll -mwindows -shared -L../../lib pm.o  \
-lalleg -lxvin -lserialw32 -Wl,--export-all-symbols  -Wl,--enable-auto-import \
-Wl,--out-implib=../../lib/libpm.a 

../../bin/spectro.dll : serialw32.o spectro.o 
	gcc  -o ../../bin/spectro.dll -mwindows -shared -L../../lib spectro.o\
-lalleg -lxvin -lserialw32 -Wl,--export-all-symbols  -Wl,--enable-auto-import \
-Wl,--out-implib=../../lib/libspectro.a 

../../bin/RunSpectrum.dll : RunSpectrum.o spectro.o pm.o serialw32.o
	gcc  -o ../../bin/RunSpectrum.dll -mwindows -shared -L../../lib RunSpectrum.o\
-lalleg -lxvin -lserialw32 -lpm -lspectro -Wl,--export-all-symbols  -Wl,--enable-auto-import \
-Wl,--out-implib=../../lib/libRunSpectrum.a 


RunSpectrum.o : RunSpectrum.c RunSpectrum.h
	gcc $(CFLAGS) -o RunSpectrum.o RunSpectrum.c

serialw32.o : serialw32.c serialw32.h
	gcc $(CFLAGS) -o serialw32.o serialw32.c
	
spectro.o : spectro.c spectro.h
	gcc $(CFLAGS) -o spectro.o spectro.c
	
pm.o : pm.c pm.h
	gcc $(CFLAGS) -o pm.o pm.c


